//Конкатенация индексов
function [tasksDependencyFileName]=CreatTasksDependency(tasksDependencyFileName,..//Имена файла зависимостей задач
                                                        pathToTaskDependencyFileName,..//Путь к файлу зависимостей задач
                                                        tasksDependencies..//Зависимости задач
                                                        )
    //Проверяем аргументы
    nArg = argn(2);//Число аргументов
    if nArg < 2 then
        error('The function CreatTasksDependency takes 2 or 3 arguments');
    elseif nArg == 2 then
        tasksDependencies = pathToTaskDependencyFileName;
        pathToTaskDependencyFileName = pwd();//Поумолчанию сохраняем в текущую директорию
    end
    
    //Проверяем корректность аргументов
    if (type(tasksDependencyFileName) ~= 10) ||..
       (size(tasksDependencyFileName,"*") > 1) then
        error("The tasksDependencyFileName argument of function CreatTasksDependency must be string scalar");
    end
    if (type(pathToTaskDependencyFileName) ~= 10) ||..
       (size(pathToTaskDependencyFileName,"*") > 1) then
        error("The pathToTaskDependencyFileName argument of function CreatTasksDependency must be string scalar");
    end
    if type(tasksDependencies) ~= 10 then
        error("The tasksDependencies argument of function CreatTasksDependency must be matrix of string");
    end
    
    //Формируем полное имя файла зависимости задач
    fullTasksDependencyFileName = fullfile(pathToTaskDependencyFileName, tasksDependencyFileName);
    
    //Сохраняем зависимости задач в файл
    csvWrite(tasksDependencies, fullTasksDependencyFileName);
endfunction
