//Конкатенация индексов
function [tasksDependency]=CreatTasksGroupDependency(taskNames,..//Имена задач
                                                     SolvedTasksDatas..//Список необходимых данных уже решенных задач
                                                     )
    //Проверяем аргументы
    if argn(2) < 2 then
        error('The function CreatTasksGroupDependency takes 2 arguments');
    end
    
    //Проверяем корректность аргументов
    if type(taskNames) ~= 10 then
        error("The taskNames argument of function CreatTasksGroupDependency must be matrix of string");
    end
    if type(SolvedTasksDatas) ~= 10 then
        error("The argument SolvedTasksDatas of function CreatTasksGroupDependency must be matrix of string");
    end
    if size(taskNames,"*") ~= size(SolvedTasksDatas)(1) then
        error("The numbers of strings of argument SolvedTasksDatas and number of elements taskNames must be equality");
    end
    
    //Формируем зависимости задач
    tasksDependency = strcat(SolvedTasksDatas,",","c");//Формируем списки необходимых данных для каждой задачи
    if size(SolvedTasksDatas)(2) > 1 then
        tasksDependency = '""' + tasksDependency + '""';//Формируем списки необходимых данных для каждой задачи
    end
    
    //Формируем зависимости задач
    tasksDependency = [matrix(taskNames,-1,1),..
                       tasksDependency]';
endfunction
